#!/bin/bash

# Set up GDAL
export PATH=$CSPP_ACTIVE_FIRE_HOME/vendor/ShellB3/bin:$PATH
export GDAL_DATA=$CSPP_ACTIVE_FIRE_HOME/vendor/ShellB3/share/gdal

# Get Blue Marble GeoTIFF
# (see https://wiki.earthdata.nasa.gov/display/GIBS/Map+Library+Usage)
echo
echo "(Creating Blue Marble GeoTIFF)"
gdal_translate -of GTiff -outsize 20% 20% -projwin -105 55 -80 25 GIBS_bluemarble.xml bluemarble.tif

# Concatenate NOAA VIIRS fire locations, removing comments and spaces
cat ../AFEDR*.txt | grep -v '#' | sed 's/ //g' > AFEDR.loc

# Overlay NOAA fire locations on blue marble image
# (see "BLUEMARBLE" at https://directreadout.sci.gsfc.nasa.gov/?id=software)
echo
echo "(Overlaying NOAA fire locations)"
$DBVM_HOME/apps/bluemarble/SPA/BlueMarble/algorithm/DRL_scripts/overlay_fires.sh \
  fireloc AFEDR.loc ingeotiff bluemarble.tif outgeotiff AFEDR.tif

# Overlay NASA fire locations on blue marble image
echo
echo "(Overlaying NASA fire locations)"
$DBVM_HOME/apps/bluemarble/SPA/BlueMarble/algorithm/DRL_scripts/overlay_fires.sh \
  fireloc VIIRS-AF_npp_d20170531_t1903587_e1918101.txt ingeotiff bluemarble.tif outgeotiff VFIRE.tif

